/*
 * gtkpasman
 * Copyright (C) 2003 Cyril Bellot
 * Copyrigth (c) 2011 David Guglielmi
 *
 * tree.h
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef __GTKPASMAN_TREE_
#define __GTKPASMAN_TREE_

#include <gtk/gtk.h>

G_BEGIN_DECLS

GtkWidget* pasman_tree_view_new (void);

void search_in_list (GtkWidget *passtxt);

void button_copy_cmd_line (GtkTreeView *);
void button_copy_passwd (GtkTreeView *);
void button_copy_passwd_and_execute (GtkTreeView *);
void button_execute (GtkTreeView *);

void tree_expand_little (GtkTreeView *);
void tree_unselectall (GtkTreeView *);

void emptytree (GtkTreeStore *);
void append_tree_line (GtkTreeStore *, gchar *,char *, GtkTreeIter *,\
  GtkTreeIter *);

void find_next_in_tree_view (GtkButton *, gpointer);
void find_prev_in_tree_view (GtkButton *, gpointer);

enum {
  TREE_COL_PIXBUF,
  TREE_COL_TEXT,
  TREE_COL_DATA,
  N_COLUMNS
};

G_END_DECLS

#endif /* __GTKPASMAN_TREE_ */
